<template>
  <div>
    <h2>{{ title }}</h2>
    <p style="display: inline-block;" class="slim" id="location">in {{ city }}</p>
    <p style="display: inline-block;" class="slim" id="time">{{ time }}</p>
    <p v-if="motiv" class="slim" id="motiv">Motiv: {{ motiv }}</p>
    <p class="slim" id="description">{{ description }}</p>
    <p class="slim" v-for="source in sources" :key="source.url">{{source.name}}, {{source.url}}</p>
    <p class="slim" >via <a :href="originurl">{{origin}}</a></p>
  </div>
</template>

<style>
p#description {
  line-break: auto;
}
div p:first-of-type:after {
  content: '\a0';
}
</style>

<script>
export default {
  name: "CrimeInfo",
  props: {
    title: String,
    description: String,
    time: String,
    motiv: String,
    city: String,
    sources: Array,
    origin: String,
    originurl: String
  }
}
</script>

<style scoped>

</style>
